# RPM specfile for gnome-pilot module
# Generated Wed Nov  5 20:10:10 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.20 2003/11/04 20:02:24 dobey Exp $

%define nam	gnome-pilot
%define ver	2.0.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	3

Name:     	gnome-pilot
Version: 	2.0.10
Release:	37.ximian.8.3
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for SuSE Linux 9.0 / i586
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-2.0.10.tar.gz
Patch0:		gnome-pilot-xd2-categories.patch
BuildRequires:	gettext
BuildRequires:	bonobo-activation-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	orbit2-devel
BuildRequires:	libbonobo-devel
BuildRequires:	libgnome-devel
BuildRequires:	libglade2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	libidl-devel
BuildRequires:	linc-devel
BuildRequires:	libxml2-devel
BuildRequires:	pango-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	libwnck-devel
BuildRequires:	gconf2-devel
BuildRequires:	pilot-link-devel >= 0.11.5
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	scrollkeeper
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnpilot
Prereq:	scrollkeeper
Conflicts:	gnome-pilot-conduits < 2.0

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/share/control-center-2.0/capplets/*
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/share/idl/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/pixmaps/*
/opt/gnome/bin/*
/opt/gnome/libexec/gpilotd
/opt/gnome/lib/bonobo/servers/GNOME_Pilot_Daemon.server
/opt/gnome/lib/gnome-pilot
%dir /opt/gnome/share/gnome-pilot
%dir /opt/gnome/share/gnome-pilot/glade
/opt/gnome/share/gnome-pilot/conduits
/opt/gnome/share/gnome-pilot/glade/*.png
/opt/gnome/share/gnome-pilot/glade/gpilotd-capplet.glade
/opt/gnome/share/gnome/help/*
/opt/gnome/share/omf/*
/opt/gnome/lib/*.so.*
/opt/gnome/man/man1/*


%post
ldconfig
PATH=/opt/gnome/bin:$PATH scrollkeeper-update

%package -n gnome-pilot-applet
Summary:	GNOME Pilot Panel Applet
Group:		Applications/Communications
Requires:	gnome-pilot = %{version}-%{release}
Provides:	ximian-gnome-pilot-applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	gconf2

%description -n gnome-pilot-applet
GNOME Pilot provides this panel applet for control and status on your GNOME 1.4 based desktop. This package will not work with GNOME 2.x

%files -n gnome-pilot-applet
%defattr(-, root, root)
/opt/gnome/lib/bonobo/servers/GNOME_PilotApplet.server
/opt/gnome/libexec/gpilot-applet
/opt/gnome/share/gnome-pilot/glade/pilot-applet.glade
/etc/opt/gnome/gconf/schemas/pilot.schemas


%post -n gnome-pilot-applet
/opt/gnome/bin/gconftool-2 --shutdown
GCONF_CONFIG_SOURCE=`/opt/gnome/bin/gconftool-2 --get-default-source` /opt/gnome/bin/gconftool-2 --makefile-install-rule /etc/opt/gnome/gconf/schemas/pilot.schemas

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	bonobo-activation-devel
Requires:	libgnomeui-devel
Requires:	orbit2-devel
Requires:	libbonobo-devel
Requires:	libgnome-devel
Requires:	libglade2-devel
Requires:	gnome-vfs2-devel
Requires:	gtk2-devel
Requires:	glib2-devel
Requires:	libbonoboui-devel
Requires:	libidl-devel
Requires:	linc-devel
Requires:	libxml2-devel
Requires:	pango-devel
Requires:	libgnomecanvas-devel
Requires:	libart_lgpl-devel
Requires:	gconf2-devel
Requires:	pilot-link-devel >= 0.11.5
Requires:	ncurses-devel
Requires:	readline-devel
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnpilotd

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/opt/gnome/include/*
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/pkgconfig/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-2.0.10
    ;;
all)
%setup  -q -n gnome-pilot-2.0.10
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 5 2003 Ximian, Inc.

- Version: 2.0.10-37.ximian.8.3
- Summary: New build.
- New automated build.

